Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 480846 - games-puzzle/gnome-sudoku: traceback when default python interpreter != 2.x
Summary: games-puzzle/gnome-sudoku: traceback when default python interpreter != 2.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-3.8
  Show dependency tree
 
Reported: 2013-08-13 07:45 UTC by Dieter Verfaillie
Modified: 2013-08-25 17:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dieter Verfaillie 2013-08-13 07:45:44 UTC
dieterv@localhost ~ $ emerge -pvt gnome-sudoku

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R    ] games-puzzle/gnome-sudoku-3.8.1  PYTHON_SINGLE_TARGET="python2_7 -python2_6" PYTHON_TARGETS="python2_6 python2_7" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB



dieterv@localhost ~ $ eselect python list
Available Python interpreters:
  [1]   python2.6
  [2]   python2.7
  [3]   python3.2
  [4]   python3.3 *



dieterv@localhost ~ $ gnome-sudoku 
Traceback (most recent call last):
  File "/usr/games/bin/gnome-sudoku", line 19, in <module>
    from lib.gnome_sudoku import start_game
ImportError: No module named 'lib'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/games/bin/gnome-sudoku", line 21, in <module>
    from gnome_sudoku.gnome_sudoku import start_game
ImportError: No module named 'gnome_sudoku'



# But this works:
dieterv@localhost ~ $ python2.7 /usr/games/bin/gnome-sudoku



# Aha, the shebang takes whatever python interpreter (defaults to 3.3 on my system)
dieterv@localhost ~ $ cat /usr/games/bin/gnome-sudoku
#! /usr/bin/env python


Reproducible: Always
Comment 1 Gilles Dartiguelongue gentoo-dev 2013-08-25 17:41:46 UTC
+  25 Aug 2013; Gilles Dartiguelongue <eva@gentoo.org>
+  gnome-sudoku-3.8.1.ebuild:
+  Fix shebang, bug #480846.

Thanks for reporting.